#!/bin/bash

# Function for retriving all filenames under a given directory
all_files=()
function recursive_list_dir()
{
    for file_or_dir in `ls ${1}`
    do
        if [ -d ${1}"/"${file_or_dir} ]
        then
            recursive_list_dir $1"/"${file_or_dir}
        else
            file=${1}"/"${file_or_dir}
            all_files[${#all_files[*]}]=${file}
            #echo ${file}
        fi
    done
}

############## Start configuration ##################
# Working directory
# exam/data
wrk_dir=/media/yizhang/DataArchive2/GXGS2023/Data/waveform/202112
# Output file
ret_file=/home/yizhang/Desktop/seed_info.md

############## End configuration ####################

if [ -f ${ret_file} ]
then
    rm ${ret_file}
fi

recursive_list_dir ${wrk_dir} ${all_files}
n_all_files=${#all_files[*]}
n=1
l=1

echo "### Directory: "${wrk_dir} >> ${ret_file}
echo "" >> ${ret_file}

for file in ${all_files[*]}
do
    if [ ${file##*.} == "seed" ]
    then
        echo ${n}"/"${n_all_files}" Reading "${file}
        rdseed -f ${file} -S
        rdseed -f ${file} -t > rdseed.station.timetable

        echo "#### File: "${file#*${wrk_dir}/} >> ${ret_file}

        cat rdseed.stations | while read oneline
        do
            echo "##### Station: "${oneline} >> ${ret_file}
        done

        l=1
        cat rdseed.station.timetable | while read oneline
        do
            if [ ${l} -gt 5 ]
            then
                echo "* SAC: "${oneline} >> ${ret_file}
            fi
            l=`expr ${l} + 1`
        done

        echo "" >> ${ret_file}
    fi
    n=`expr ${n} + 1`
done

rm rdseed.station.timetable rdseed.stations
 